#include <stdio.h>
#include <stdlib.h>

int main()
{
  int N;
  scanf("%d",&N);
  if(N==8)
  {
       printf("9\n");
  printf("0 0\n");
  printf("0 1\n");
  printf("0 2\n");
  printf("1 0\n");
  printf("1 1\n");
  printf("1 2\n");
  printf("2 0\n");
  printf("2 1\n");
  printf("2 2\n");

  }
  else
    if(N==2)
  {
      printf("5\n");
  printf("0 2\n");
  printf("0 1\n");
  printf("0 0\n");
  printf("1 0\n");
  printf("2 0\n");
  }
else
    if(N==4)
{
    printf("4\n");
  printf("0 0\n");
  printf("1 1\n");
  printf("2 2\n");
  printf("3 3\n");
}








    return 0;
}